低危 缺少SSL证书验证

CVE编号

CVE-2018-1000500

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-06-27 05:29:00
漏洞描述
Busybox在“busybox wget”小程序中包含一个缺少SSL证书验证漏洞,可能导致任意代码执行。通过使用“busybox wget https://compromised-domain.com/important-file”简单地通过HTTPS下载任何文件,此攻击似乎是可利用的。<br>
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://git.busybox.net/busybox/tree/networking/wget.c?id=8bc418f07eab79a9c8d26594629799f6157a9466#n74
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 busybox busybox * Up to
(excluding)
1.32.0
运行在以下环境
系统 alpine_3.10 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_3.11 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_3.12 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_3.13 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_3.14 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_3.15 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_3.8 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_3.9 busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 alpine_edge busybox * Up to
(excluding)
1.28.3-r2
运行在以下环境
系统 debian_10 busybox * Up to
(excluding)
1.30.1-4
运行在以下环境
系统 debian_11 busybox * Up to
(excluding)
1.30.1-6
运行在以下环境
系统 debian_12 busybox * Up to
(excluding)
1.30.1-7
运行在以下环境
系统 debian_9 busybox * Up to
(excluding)
1.22.0-19
运行在以下环境
系统 debian_sid busybox * Up to
(excluding)
1.30.1-7
运行在以下环境
系统 opensuse_Leap_15.2 busybox * Up to
(excluding)
1.26.2-lp152.5.3.1
运行在以下环境
系统 opensuse_Leap_15.3 busybox * Up to
(excluding)
1.26.2-4.5.1
运行在以下环境
系统 ubuntu_18.04 busybox * Up to
(excluding)
1:1.27.2-2ubuntu3.3
运行在以下环境
系统 ubuntu_20.04 busybox * Up to
(excluding)
1:1.30.1-4ubuntu6.2
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-295 证书验证不恰当
阿里云安全产品覆盖情况